Subject: Re: [appsdir] [apps-discuss] APPSDIR review of draft-claise-export-application-info-in-ipfix-05

From: Larry Masinter <[email-masked]>
Date: Fri, 20 Apr 2012 00:37:20 -0700

many protocols have chosen to layer on top of http as a substrate, or even tunnel with http.

from this view, http is used differently by different applications.

"It's a floor wax AND a dessert topping."

-----Original message-----
From: Aaron Stone <[email-masked]>
To: Jiankang YAO <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Sent: Fri, Apr 20, 2012 06:41:00 GMT+00:00
Subject: Re: [appsdir] [apps-discuss] APPSDIR review of draft-claise-export-application-info-in-ipfix-05

On Thu, Apr 19, 2012 at 11:10 PM, Jiankang YAO <[email-masked]> wrote:
>
> ----- Original Message -----
> From: "SM" <[email-masked]>
> To: "Jiankang YAO" <[email-masked]>
> Cc: <[email-masked]>
> Sent: Friday, April 20, 2012 10:37 AM
> Subject: Re: [appsdir] [apps-discuss] APPSDIR review of draft-claise-export-application-info-in-ipfix-05
>
>
>> Hi Jiankang,
>>
>> [Cc to appsdir as this may be of interest]
>>
>> At 19:03 19-04-2012, Jiankang YAO wrote:
>>>Document: draft-claise-export-application-info-in-ipfix-05
>>>Title: Export of Application Information in IPFIX
>>
>> [snip]
>>
>>>Comments:  From my understanding, HTTP  is  a kind of layer 7
>>>application based on OSI, but it can be identified in layer 4.
>>
>> I have not reviewed this draft.  RFC 1122 discusses about the
>> Internet Protocol Suite.  I don't know what the draft means by "IANA
>> layer 4".
>>
>
> I think that the author's logic is that
> IANA defines or registers some well know ports number of layer 4 protocols such as TCP.
> Any protocols which use the well known port numbers will be regarded as layer 4 protocols.
> For example, port 80 is used by HTTP, so the authors think that HTTP is layer 4 protocol.
> but this definition is not OSI's definition.
> Based on OSI , HTTP is Layer 7 protocol.

There's a TCP/IP 4 layer model:
http://en.wikipedia.org/wiki/TCP/IP_model#Layers_in_the_TCP.2FIP_model

In that model, HTTP is layer 4, called the Application layer.

In the OSI model, HTTP is layer 7, also called the Application layer.
http://en.wikipedia.org/wiki/OSI_model#Description_of_OSI_layers

What's an IANA layer? I'm pretty sure no such thing exists.

I read the draft. My review would be "Major issue: I have no idea what
this draft is about."

Cheers,
Aaron
_______________________________________________
appsdir mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/appsdir